# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.TOC

Packages that use TOC
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of TOC in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return TOC
Modifier and Type
Method
Description
`static TOC`
StructureFactory.`createTOC()`
Create TOC structure.
`static TOC`
StructureFactory.`createTOC(String expression)`
Create TOC structure with expression value.
Methods in org.eclipse.birt.report.model.api with parameters of type TOC
Modifier and Type
Method
Description
`TOCHandle`
GroupHandle.`addTOC(TOC toc)`
Adds toc structure.
`TOCHandle`
ReportItemHandleImpl.`addTOC(TOC toc)`
Adds toc structure.